#!/bin/bash
# printf demo

PI=3.14159265358979
ConstanteDecimale=31373
Message1="Greetings,"
Message2="Earthling."

echo

printf "Pi avec deux décimales = %1.2f" $PI
echo
printf "Pi avec neuf décimales = %1.9f" $PI  # Il arrondit même correctement.

printf "\n"                                  # Affiche un retour chariot.
                                             # Équivalent à 'echo'.

printf "Constante = \t%d\n" $ConstanteDecimale  # Insère une tabulation (\t).

printf "%s %s \n" $Message1 $Message2

echo

# ==========================================#
# Simulation de la fonction C, sprintf().
# Changer une variable avec une chaîne de caractères formatée.

echo 

Pi12=$(printf "%1.12f" $PI)
echo "Pi avec 12 décimales = $Pi12"      # Erreur d'arrondi !

Msg=`printf "%s %s \n" $Message1 $Message2`
echo $Msg; echo $Msg

#  La fonction 'sprintf' est maintenant accessible en tant que module chargeable
#+ de Bash mais ce n'est pas portable.

exit 0
